# -*- coding: utf-8 -*-

from django.core.exceptions import PermissionDenied

from .conf import PONG_ACL


def auf_acl_required(view):
    """
    Test la provenance de la requête
    """
    def _wrapped(request, *args, **kwargs):
        if request.META['REMOTE_ADDR'] in PONG_ACL:
            return view(request, *args, **kwargs)
        else:
            raise PermissionDenied('PONG ACL')
    return _wrapped
